## kde-baseapps 4.14.1

=== debian/changelog ===
kde-baseapps (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:41:02 +0200

kde-baseapps (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:42:32 +0200

kde-baseapps (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:27:30 +0200

kde-baseapps (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:58:17 +0200

kde-baseapps (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Add appdata to dolphin.install
  * Add build-dep on libbaloowidgets-dev

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 17:54:47 +0200

kde-baseapps (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Merge with Debian, remaining changes:
   - Make konqueror.postinst install with alternates score 30 not 100
   - Add kubuntu_folderview_livecd_directory.diff,
     kubuntu_folderwidget_drawing.diff, kubuntu_install_flash.diff

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:47:37 +0100

kde-baseapps (4:4.13.1-1) experimental; urgency=medium

  [ Adrien Grellier ]
  * typo in package's description (Closes: #747152)

  [ Maximiliano Curia ]
  * New upstream release.
  * Update build dependencies.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 27 May 2014 10:12:41 +0200

kde-baseapps (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:23:49 +0200

kde-baseapps (4:4.12.3-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Merge changes from 4:4.11.5-2.

  [ Maximiliano Curia ]
  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:05:34 +0100

kde-baseapps (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:32 +0100

kde-baseapps (4:4.11.5-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Sat, 22 Feb 2014 17:55:49 +0100

kde-baseapps (4:4.11.5-1) unstable; urgency=low

  * New upstream release.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Make konqueror recommend kpart-webkit. Upstream recommends using the
    webkit based backend and it seems that, if available, it's the default
    one. So adding it as recommend will make most users use it while allowing
    to only install khtml for those who want it (Closes: #735057).

  [ Maximiliano Curia ]
  * Enable build failures on missing symbols.
  * Add autopkgtests.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add abi-compliance-checker info.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 24 Jan 2014 13:17:34 -0300
