## kde-baseapps 4.14.2

=== doc/CMakeLists.txt ===
add_subdirectory(dolphin)
add_subdirectory(kfind)
add_subdirectory(konqueror)
add_subdirectory(kdepasswd)
