=== debian/changelog ===
kde-baseapps (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:05 +0200

kde-baseapps (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 20 Sep 2014 23:49:39 +0200

kde-baseapps (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * Update install file.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 24 Aug 2014 00:37:12 +0200

kde-baseapps (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 30 Jul 2014 16:16:20 +0200
