=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kde-baseapps
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -14,10 +13,11 @@
                cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kdelibs5-dev (>= 4:4.11),
+               libbaloowidgets-dev,
                libdlrestrictions-dev (>= 0.14),
                libglib2.0-dev,
-               libkactivities-dev (>= 4:4.13),
+               libkactivities-dev (>= 4:4.11),
                libkfilemetadata-dev,
                libphonon-dev (>= 4:4.3.0),
                libqimageblitz-dev (>= 1:0.0.4-2),
@@ -27,15 +27,12 @@
                libxt-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               zlib1g-dev,
-               libbaloowidgets-dev
+               zlib1g-dev
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-baseapps
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-baseapps
-X-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kde-baseapps.git
-X-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kde-baseapps.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kde-baseapps.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kde-baseapps.git
 
 Package: kde-baseapps
 Architecture: all
@@ -321,3 +318,11 @@
          ${misc:Depends},
          ${sameVersionDep:kdelibs5-dev:libkonqsidebarplugin4a}
 Description: konqueror sidebar plugin library development files
+ This package contains development headers for the Konqueror sidebar plugin
+ library.
+ .
+ This package is part of the KDE base applications module.
+
+Package: plasma-widget-folderview
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
