=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: kde-baseapps
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Eshat Cakar <info@eshat.de>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: baloo-dev,
                cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
+               kdelibs5-dev,
                libbaloowidgets-dev,
                libdlrestrictions-dev (>= 0.14),
                libglib2.0-dev,
@@ -31,8 +30,8 @@
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kde-baseapps.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kde-baseapps.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kde-baseapps.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kde-baseapps.git
 
 Package: kde-baseapps
 Architecture: all
@@ -71,7 +70,7 @@
 Section: utils
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: ruby
+Recommends: konsole4-kpart, ruby
 Suggests: kdesdk-dolphin-plugins
 Description: file manager
  Dolphin is the default file manager in the KDE Plasma Workspaces, intended
@@ -227,31 +226,6 @@
  .
  This package is part of the KDE base applications module.
 
-#Package: konsole
-#Architecture: any
-#Depends: ${shlibs:Depends}, ${misc:Depends}
-#Provides: x-terminal-emulator
-#Breaks: yakuake (<< 2.9.0)
-#Description: X terminal emulator
-# Konsole is a terminal emulator built on the KDE Platform. It can contain
-# multiple terminal sessions inside one window using detachable tabs.
-# .
-# Konsole supports powerful terminal features, such as customizable schemes,
-# saved sessions, and output monitoring.
-# .
-# This package is part of the KDE base applications module.
-
-#Package: kwrite
-#Section: editors
-#Architecture: any
-#Depends: ${shlibs:Depends}, ${misc:Depends}
-#Description: simple graphical text editor
-# KWrite is a simple text editor built on the KDE Platform. It uses the Kate
-# editor component, so it supports powerful features such as flexible syntax
-# highlighting, automatic indentation, and numerous other text tools.
-# .
-# This package is part of the KDE base applications module.
-
 Package: libkonq5abi1
 Section: libs
 Architecture: any
@@ -326,3 +300,29 @@
 Package: plasma-widget-folderview
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: plasma widget showing the content of a folder
+ This package contains the Folder View Plasma widget which is capable of
+ displaying and managing contents of any KDE supported location. It can be used
+ as a replacement for the traditional "desktop" folder concept in the main
+ Plasma shell, but it is a lot more flexible. Folder View is part of the
+ initial default KDE 4 desktop configuration.
+ .
+ This package is part of the KDE base applications module.
+
+Package: kde-baseapps-dbg
+Section: debug
+Architecture: any
+Priority: extra
+Depends: dolphin, kde-runtime-dbg, ${misc:Depends}
+Suggests: kde-baseapps (= ${source:Version})
+Breaks: kdebase-dbg (<< 4:4.7.2)
+Replaces: kdebase-dbg (<< 4:4.7.2)
+Description: debugging symbols for the KDE base applications module
+ This package contains debugging files used to investigate problems with
+ binaries included in the KDE base applications module.
+
+Package: kdebase-dbg
+Section: oldlibs
+Architecture: all
+Priority: extra
+Depends: kde-baseapps-dbg, ${misc:Depends}
