=== debian/control ===
--- 
+++ 
@@ -8,15 +8,12 @@
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: baloo-dev,
-               cmake,
+Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev,
-               libbaloowidgets-dev,
                libdlrestrictions-dev (>= 0.14),
                libglib2.0-dev,
-               libkactivities-dev (>= 4:4.11),
                libkfilemetadata-dev,
                libphonon-dev (>= 4:4.3.0),
                libqimageblitz-dev (>= 1:0.0.4-2),
@@ -27,7 +24,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.12),
                zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kde-baseapps.git/
@@ -35,8 +32,7 @@
 
 Package: kde-baseapps
 Architecture: all
-Depends: dolphin (>= ${source:Version}),
-         kde-baseapps-bin (>= ${source:Version}),
+Depends: kde-baseapps-bin (>= ${source:Version}),
          kdepasswd (>= ${source:Version}),
          kfind (>= ${source:Version}),
          konqueror (>= ${source:Version}),
@@ -66,27 +62,6 @@
  This transitional package takes care of pulling in the new kde-baseapps
  package and can safely be removed after installation.
 
-Package: dolphin
-Section: utils
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: konsole4-kpart, ruby
-Suggests: kdesdk-dolphin-plugins
-Description: file manager
- Dolphin is the default file manager in the KDE Plasma Workspaces, intended
- to be both powerful and easy to use.
- .
- Features include:
-   Customisable sidebars
-   "Breadcrumb" navigation
-   View properties remembered for each folder
-   Split views
-   Network transparency
-   Undo/redo functionality
-   Ratings, comments, and tags
- .
- This package is part of the KDE base applications module.
-
 Package: kde-baseapps-bin
 Architecture: any
 Depends: kde-baseapps-data (= ${source:Version}),
@@ -140,6 +115,17 @@
  .
  This package is part of the KDE base applications module.
 
+Package: dolphin4
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: kde-baseapps-data (<< 4:15.08.0)
+Replaces: kde-baseapps-data (<< 4:15.08.0)
+Description: file browser
+ Dolphin file browser, this kdelibs4 build is mainly for use with
+ Konqueror.
+ .
+ This package is part of the KDE base applications module.
+
 Package: konqueror
 Section: web
 Architecture: any
@@ -150,7 +136,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: konq-plugins (>= 4:4.1~)
-Recommends: dolphin,
+Recommends: dolphin4,
             kfind,
             konqueror-nsplugins (= ${binary:Version}),
             kpart-webkit
@@ -233,6 +219,8 @@
 Depends: libkonq-common (>= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: libkonq5abi2 (<< 4:15.08.0-0ubuntu2~)
+Replaces: libkonq5abi2 (<< 4:15.08.0-0ubuntu2~)
 Description: core libraries for Konqueror
  This package contains libraries used by several KDE 4 applications,
  particularly Konqueror.
@@ -313,7 +301,7 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: dolphin, kde-runtime-dbg, ${misc:Depends}
+Depends: kde-runtime-dbg, ${misc:Depends}
 Suggests: kde-baseapps (= ${source:Version})
 Breaks: kdebase-dbg (<< 4:4.7.2)
 Replaces: kdebase-dbg (<< 4:4.7.2)
@@ -326,3 +314,6 @@
 Architecture: all
 Priority: extra
 Depends: kde-baseapps-dbg, ${misc:Depends}
+Description: Transitional package for kde-baseapps-dbg
+ This transitional package takes care of pulling in the new kde-baseapps-dbg
+ package and can safely be removed after installation.
